function p=DoAnovaTest(ronnymatrix)

% Get it in the right format for anova-n

[nrow,ncol,nrep] = size(ronnymatrix);
cnt=0;
rowbar = zeros(ncol*nrow*nrep,1);
colbar = zeros(ncol*nrow*nrep,1);
y= zeros(ncol*nrow*nrep,1);
for jrow=1:nrow
    for jcol=1:ncol
        for jrep=1:nrep
            cnt=cnt+1;
            g1(cnt) = jrow;
            g2(cnt) = jcol;
            y(cnt) = ronnymatrix(jrow,jcol,jrep);
            
            % FOr glm
            % Make rowbar=0 for background:
            rowbar(cnt) = jrow*(jrow<7);
            colbar(cnt) = jcol*(jcol<7);
            
        end
    end
end

[p,tbl,stats,terms] = anovan(y,{rowbar,colbar},'model','interaction');

alpha=0.05;
if p(1)<alpha
    fprintf('Significant main effect of row: p = %f\n',p(1))
end
if p(2)<alpha
    fprintf('Significant main effect of column: p = %f\n',p(2))
end
if p(3)<alpha
    fprintf('Significant interaction: p = %f\n',p(3))
end
